exercise_05_05: exercise_05_05.o | .gitignore
	g++ $^ -o $@

exercise_05_05.ii: exercise_05_05.cpp
	g++ -E $^ -o $@

exercise_05_05.s: exercise_05_05.ii
	g++ -S $^ -o $@

exercise_05_05.o: exercise_05_05.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_05_05" > $@

removes:
	rm *.ii *.s *.o *.out exercise_05_05 .gitignore

test: exercise_05_05 
	./exercise_05_05 < test.in > test.out
	diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED

